<template>
  <div>
    <div v-if="$fetchState.pending" class="fetch-pending">
    </div>
    <div v-else class="container pt-54 pb-54" >
      <div class="row" v-if="trustedBys && trustedBys.length">
        <div class="col-12 mb-44"  data-aos="zoom-in"
         data-aos-once="true"
        data-aos-anchor-placement="bottom"
        data-aos-duration="600">
          <div class="d-flex align-items-center justify-content-between">
            <div>
              <h1 class="section-titles">
               <svg width="44" height="27" viewBox="0 0 44 27" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M16.39 7.755L22.1031 2.51625C22.3094 2.33063 22.5706 2.2275 22.8456 2.2275H29.7894C30.085 2.2275 30.36 2.34438 30.5731 2.5575L34.7463 6.62063H43.45C43.7525 6.62063 44 6.37313 44 6.07063V4.97063C44 4.66813 43.7525 4.42063 43.45 4.42063H35.6469L32.1269 0.99C31.5012 0.364375 30.6763 0.0206249 29.7962 0.0206249H22.8525C22.1375 0.0206249 21.4706 0.28875 20.9069 0.708125C20.3294 0.26125 19.6213 0 18.8925 0H14.1144C13.2413 0 12.4025 0.350625 11.7769 0.969375L8.34625 4.41375H0.55C0.2475 4.41375 0 4.66125 0 4.96375V6.06375C0 6.36625 0.2475 6.61375 0.55 6.61375H9.25375L13.3306 2.53688C13.5369 2.33062 13.8188 2.21375 14.1075 2.21375H18.8856C18.9475 2.365 18.9062 2.26188 18.9613 2.41313L14.905 6.1325C12.9663 7.91313 12.87 10.89 14.6163 12.7944C15.5994 13.8669 18.645 15.4963 21.2781 13.0831L22.8456 11.6462L31.4806 18.6519C31.9481 19.03 32.0238 19.7313 31.6388 20.1988L30.9856 21.0031C30.6144 21.4569 29.9269 21.56 29.4388 21.1613L28.215 20.1713L25.3619 23.6775C24.8463 24.3169 23.9181 24.3788 23.3406 23.9113L21.2369 22.1169L20.5219 22.9969C19.3738 24.4062 17.2906 24.6263 15.9431 23.54L9.7625 17.6206H0.55C0.2475 17.6206 0 17.8681 0 18.1706V19.2706C0 19.5731 0.2475 19.8206 0.55 19.8206H8.8825L14.4856 25.1831C16.5344 26.84 19.4219 26.7919 21.4294 25.1694L21.9244 25.5956C22.5844 26.1319 23.3888 26.4138 24.2275 26.4138C25.3275 26.4138 26.3656 25.9325 27.0737 25.0663L28.5794 23.2169C29.7069 23.8288 31.5288 23.8356 32.7044 22.3919L33.3575 21.5875C33.7838 21.065 34.0175 20.4463 34.0794 19.8206H43.45C43.7525 19.8206 44 19.5731 44 19.2706V18.1706C44 17.8681 43.7525 17.6206 43.45 17.6206H33.4675C33.2956 17.38 33.1031 17.1462 32.8625 16.9469L24.4819 10.1406L26.4344 8.34625C26.8813 7.93375 26.9156 7.23938 26.5031 6.7925C26.0906 6.34563 25.3962 6.31813 24.9494 6.72375L19.7862 11.4537C18.7962 12.3544 17.1325 12.2787 16.2319 11.3025C15.3038 10.2919 15.3656 8.69688 16.39 7.755Z" fill="white"/>
</svg>
               Trusted by
              </h1>
            </div>
            <div class="prev-next-arrows">
              <svg
                @click="prew()"
                width="48"
                height="48"
                viewBox="0 0 48 48"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  fill-rule="evenodd"
                  clip-rule="evenodd"
                  d="M21.6982 27.8409L18.1627 24.3841C17.9458 24.172 17.9458 23.828 18.1627 23.6159L21.6982 20.1591C21.9152 19.947 22.267 19.947 22.4839 20.1591C22.7009 20.3712 22.7009 20.7151 22.4839 20.9273L19.8968 23.4568L47.4444 23.4568C47.7513 23.4568 48 23.7 48 24C48 24.3 47.7513 24.5432 47.4444 24.5432L19.8968 24.5432L22.4839 27.0727C22.7009 27.2849 22.7009 27.6288 22.4839 27.8409C22.267 28.053 21.9152 28.053 21.6982 27.8409Z"
                  fill="white"
                  fill-opacity="0.4"
                />
                <path
                  fill-rule="evenodd"
                  clip-rule="evenodd"
                  d="M20.5 5.11111C10.3288 5.11111 2.08333 13.568 2.08333 24C2.08333 34.432 10.3288 42.8889 20.5 42.8889C30.6712 42.8889 38.9167 34.432 38.9167 24C38.9167 13.568 30.6712 5.11111 20.5 5.11111ZM20.5 4C9.73045 4 1 12.9543 1 24C1 35.0457 9.73045 44 20.5 44C31.2696 44 40 35.0457 40 24C40 12.9543 31.2696 4 20.5 4Z"
                  fill="white"
                  fill-opacity="0.4"
                />
              </svg>
              <svg
                @click="next()"
                class="ml-12"
                style="transform: rotate(180deg)"
                width="48"
                height="48"
                viewBox="0 0 48 48"
                fill="none"
                xmlns="http://www.w3.org/2000/svg"
              >
                <path
                  fill-rule="evenodd"
                  clip-rule="evenodd"
                  d="M21.6982 27.8409L18.1627 24.3841C17.9458 24.172 17.9458 23.828 18.1627 23.6159L21.6982 20.1591C21.9152 19.947 22.267 19.947 22.4839 20.1591C22.7009 20.3712 22.7009 20.7151 22.4839 20.9273L19.8968 23.4568L47.4444 23.4568C47.7513 23.4568 48 23.7 48 24C48 24.3 47.7513 24.5432 47.4444 24.5432L19.8968 24.5432L22.4839 27.0727C22.7009 27.2849 22.7009 27.6288 22.4839 27.8409C22.267 28.053 21.9152 28.053 21.6982 27.8409Z"
                  fill="white"
                  fill-opacity="0.4"
                />
                <path
                  fill-rule="evenodd"
                  clip-rule="evenodd"
                  d="M20.5 5.11111C10.3288 5.11111 2.08333 13.568 2.08333 24C2.08333 34.432 10.3288 42.8889 20.5 42.8889C30.6712 42.8889 38.9167 34.432 38.9167 24C38.9167 13.568 30.6712 5.11111 20.5 5.11111ZM20.5 4C9.73045 4 1 12.9543 1 24C1 35.0457 9.73045 44 20.5 44C31.2696 44 40 35.0457 40 24C40 12.9543 31.2696 4 20.5 4Z"
                  fill="white"
                  fill-opacity="0.4"
                />
              </svg>
            </div>
          </div>
        </div>
        <div class="col-12" data-aos="zoom-in-up"
         data-aos-once="true"
        data-aos-anchor-placement="bottom"
        data-aos-duration="800">
          <VueSlickCarousel
              class="reviews-slider partners"
              v-bind="settings"
              ref="partners"
            >
              <div
                class=""
                v-for="(item, index) in trustedBys"
                :key="index"
              >
                <a :href='item.url' target="_blank" class="img-cards-outer text-center">
              <div class="img-cards">
                  <img src="/images/logo-background.svg" class="bg-effect" alt="Trucking pics">

                <img :src="item.logo_url" alt="Trucking pics">
              </div>
                </a>

              </div>
            </VueSlickCarousel>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import {mapState} from "vuex";

export default {
  data() {
    return {
       settings: {
        speed: 500,
        autoplay: true,
        slidesToShow: 4,
        slidesToScroll: 1,
        infinite: true,
        arrows: false,
         responsive: [
          {
            breakpoint: 991,
            settings: {
              slidesToShow: 2,
              slidesToScroll: 1,
            },
          },
          {
            breakpoint: 617,
            settings: {
              slidesToShow: 1,
              slidesToScroll: 1,
            },
          },

        ],
      },
    }
  },
  methods: {
    next() {
      this.$refs.partners.next();
    },
    prew() {
      this.$refs.partners.prev();
    },
  },

  async fetch() {
    await this.$store.dispatch("fetchTrustedBys");
  },

  computed: {
    ...mapState({
      trustedBys: (state) => state.trustedBys,
    }),
  },
}
</script>
